# -*- coding: utf-8 -*-

from Products.CMFPlone.CatalogTool import registerIndexableAttribute
from zope.interface import providedBy
try:
    from zope.component.interface import interfaceToName
except ImportError:
    # BBB for Zope < 2.9
    def interfaceToName(context, interface):
        return interface.__module__ + '.' + interface.__name__


def object_implements(object, portal, **kw):
    return [interfaceToName(portal, i) for i in providedBy(object).flattened()]

registerIndexableAttribute('object_implements', object_implements)
