# -*- coding: utf-8 -*-

# Document interfaces
from document  import IStructuredContainer
from document  import IStructuredDocument

# Chapter interfaces
from chapter   import IStructuredChapter
from chapter   import ISimpleChapter
from chapter   import IImageCollection

# Paragraph interfaces
from paragraph import IStructuredParagraph
from paragraph import ISimpleParagraph
from paragraph import IListingParagraph

# Information blocks interfaces
from blocks    import IStructuredBlock
from blocks    import IBlockCharacter
from blocks    import IBlockCountry
from blocks    import IBlockBook

# Providers interfaces
from providers import IDocumentContentProvider
from providers import IChapterContentProvider
from providers import INextPreviousProvider
from providers import IStructuredActionsProvider
from providers import IAddableContentProvider
from providers import IListingContentProvider
from providers import ICommentsProvider

# Views interfaces
from views import INextPreviousView
