# -*- coding: utf-8 -*-

from zope.interface import Interface


class INextPreviousView( Interface ):
    """ Interface to navigate between content in a container e.g. folder"""
    
    def next():
        """ Get the next item, or None if there is no such item """

    def previous():
        """ Get the previous  item, or None if there is no such item """

    def next_previous():
        """
        Get the previous AND previous items,
        or None if there is no such item
        """
