# -*- coding: utf-8 -*-

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.CMFCore.permissions import setDefaultRoles

# A right to view the comments inside a document
CanViewComments = "StructuredDocument: Can view comments"
setDefaultRoles(CanViewComments,
                ('Manager', 'Owner',))


# Document Rights
AddStructuredDocument = 'StructuredDocument: Add document'
setDefaultRoles(AddStructuredDocument,
                ('Manager', 'Owner',))


# Chapter Rights
AddChapter = 'StructuredDocument: Add chapter'

AddSimpleChapter   = AddChapter
AddImageCollection = AddChapter

setDefaultRoles(AddChapter,
                ('Manager', 'Owner'))


# paragraph Rights
AddParagraph = 'StructuredDocument: Add paragraph'

AddSimpleParagraph  = AddParagraph
AddListingParagraph = AddParagraph
setDefaultRoles(AddParagraph,
                ('Manager', 'Owner'))


# character block Rights
AddBlock = 'StructuredDocument: Add block'

AddBlockBook      = AddBlock
AddBlockCountry   = AddBlock
AddBlockCharacter = AddBlock

setDefaultRoles(AddBlock,
                ('Manager', 'Owner'))
